−

Get Team Folder Links

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches all share links (i.e., external share links, download links, and embed codes) created in a team folder.

Endpoints

get https://www.zohoapis.com/workdrive/api/v1/teamfolders/{teamfolder_id}/links

Copy full URL

OAuth Scope

WorkDrive.teamfolders.admin.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/teamfolders/{teamfolder_id}/links \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'
header = Map();
header.put("Accept","application/vnd.api+json");
response = invokeurl
[
url : "https://www.zohoapis.com/workdrive/api/v1/teamfolders/{teamfolder_id}/links"
type : GET
headers : header
connection : "wdconnection"
];
info response;

Path Parameters

teamfolder_idstring(Required)

The unique ID of a team folder.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[type]string(Optional)

To filter by link type.

Eg. filter[type]=download

For list of filter type, see Link filter in Filters page, refer here

Allowed Values :
Show Values ▾
customCopied!
downloadCopied!
Copied!Copy all as JSON Array
page[limit]string(Optional)

Limit indicates the number of items to be listed.
(The maximum limit is 50).

For More Details about pagination, refer here

page[offset]string(Optional)

Offset indicates from where the listing should start.

Response Example

R221

U001

R004

F000

200
200
400
401
404
500
Copied!
  {
    "data": [
      {
        "id": "3iWUoMURXJU-OCgNc",
        "type": "links",
        "attributes": {
          "modified_time_i18": "Apr 12, 11:54 PM",
          "link": "https://workdrive.zohoexternal.com/external/3iWUoMURXJU-OCgNc",
          "resource_extension": "png",
          "input_fields": [],
          "type": "image",
          "created_time_i18": "Apr 12, 11:54 PM",
          "request_user_data": false,
          "modified_time": "Apr 12, 11:54 PM",
          "role_id": 34,
          "download_url": "https://workdrive.zohoexternal.com/external/3iWUoMURXJU-OCgNc/download",
          "link_name": "public",
          "modified_time_in_millis": 1618251899385,
          "resource_status": 1,
          "created_time": "Apr 12, 11:54 PM",
          "file_name": "Screenshot from 2021-04-09 11-30-24.png",
          "can_display_profile": false,
          "created_by": "Zylker Creation",
          "use_shorten_link": false,
          "allow_download": true,
          "link_type": "custom",
          "is_expired": false,
          "is_password_protected": false,
          "modified_by": "Zylker Creation",
          "resource_id": "ly9zm390af86b5a90443494b9136d914309f4",
          "created_time_in_millis": 1618251899385,
          "status": 1
        },
        "relationships": {
          "password": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXJU-OCgNc/relationships/password",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXJU-OCgNc/password"
            }
          },
          "report": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXJU-OCgNc/relationships/report",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXJU-OCgNc/report"
            }
          },
          "timeline": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXJU-OCgNc/relationships/timeline",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXJU-OCgNc/timeline"
            }
          },
          "register": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXJU-OCgNc/relationships/register",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXJU-OCgNc/register"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXJU-OCgNc"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R221",
        "title": "Invalid inputs"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U001",
        "title": "User not logged in. Please Log in"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId passed. Please use a valid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
▼ Show full

© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.